﻿.pop-cart {
    z-index: 7001;
    box-shadow: rgba(0, 0, 0, 0.4) 0px 1.875rem 5.625rem;
}

    .pop-cart .rwTitleWrapper {
        padding: .25rem !important;
    }

    .pop-cart .rwTitleBar {
        color: #fff !important;
        background: #337ab7 !important;
        border-radius: 0 .25rem 0 0 !important;
    }

        .pop-cart .rwTitleBar .rwIcon::before {
            content: "\e143" !important; /* handlevogn */
            font-size: 1.75rem !important;
            margin: -.3125rem 0 0 -.125rem
        }

    .pop-cart .rwTitle {
        padding-left: 2.4375rem !important;
        font-size: 1.15rem !important;
    }

    .pop-cart .rwContent {
        scrollbar-width: none; 
        padding: 1px 0 0 !important;
    }

    .pop-cart .rwStatusBar {
        padding: .1875rem .9375rem !important;
        background: #f4f4f4 !important
    }

.repeater {
    min-height: 5.9375rem;
}

#cart-content {
}
    #cart-content .header,
    #cart-content .header div,
    .cart .header,
    .cart .header div {
        height: 1.625rem;
        vertical-align: center;
    }

    #cart-content .header,
    #cart-content .item,
    .cart .header,
    .cart .item {
        display: grid;
        grid-template-columns: 1.875rem 4.375rem 1fr 6.875rem 6.7rem 7rem 1.25rem;
        gap: .625rem;
    }

.order .delivery {
    margin-top: -.625rem;
    padding-bottom: 1.25rem;
}

.order #cart-content .header,
.order #cart-content .item,
.order .cart .header,
.order .cart .item {
    grid-template-columns: 6.25rem 1fr 6.875rem 5.625rem 7.8125rem 1.25rem;
}

#cart-content .cart-sub .header-price,
.cart .cart-sub .header-price {
    text-align: center;
}

#cart-content .cart-sub .price,
.cart .cart-sub .price {
    align-self: center;
    text-align: center;
    font-size: 1.0em;
    font-weight: 900;
}

.order .rwzLink {
    text-align: center !important;
}

.order .rwzText {
    line-height: 2rem !important;
}

.order .rwzBreadCrumb {
    margin: .1875rem 0 .4375rem 0;
}

.order .rwzProgressBar {
    margin: 0 !important;
    display: none
}

.order .rwzButton {
    padding: 0 !important;
    width: 9.0625rem !important;
}

.order #cart-content,
.order .cart {
    margin-bottom: 0;
}

.order .RadWizard .rwzContent + .rwzNav {
    margin-top: 0;
}


#cart-content .footer, .cart .footer {
    display: grid;
    grid-template-columns: 1fr 10.3125rem 7.8125rem 1.25rem;
    grid-template-rows: repeat(3, auto);
    gap: 0 .625rem;
    padding: .625rem 0;
    /* place-items: center; */
}

.footer-left {
    grid-column: 1;
    grid-row: 1 / span 3;
    line-height: initial;
    text-align: center;
    max-height: 6.25rem;
    margin: auto;
}

    .footer-left .cart-price-banner {
        display: block;
        margin: .3125rem .625rem;
        padding-bottom: .625rem;
        max-height: 4.375rem;
        overflow-y: auto;
        scrollbar-width: thin;
    }

.padding-bottom {
    padding-bottom: .5rem;
}
/* Middle column */
.footer-middle-1 {
    grid-column: 2;
    grid-row: 1;
    white-space: nowrap;
}

.footer-middle-2 {
    grid-column: 2;
    grid-row: 2;
    white-space: nowrap;
}

.footer-middle-3 {
    grid-column: 2;
    grid-row: 3;
    white-space: nowrap;
}
/* Right column */
.footer-right-1 {
    grid-column: 3;
    grid-row: 1;
    white-space: nowrap;
}

.footer-right-2 {
    grid-column: 3;
    grid-row: 2;
    white-space: nowrap;
}

.footer-right-3 {
    grid-column: 3;
    grid-row: 3;
    white-space: nowrap;
}

.hide {
    display: none;
}

.show {
    display: block;
}


.footer-process {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: .625rem;
    padding: 0 .625rem;
}

.footer-bottom {
    display: grid;
    grid-template-columns: auto auto;
    padding-right: .1875rem;
    min-height: 3.75rem;
    margin: .625rem 0;
}

    .footer-bottom button {
        //position: relative;
        //top: .3125rem;
    }

    .footer-bottom div {
        margin: auto .375rem;
    }



/*.cart,*/
#cart-content .header,
.cart .header,
.repeater {
    margin-top: .625rem;
    border-bottom: 1px solid #ccc;
}

    #cart-content .header .cart-select,
    .cart .header .cart-select {
        padding-left: 0;
        margin-top: -1px;
    }

        #cart-content .header .cart-select .rbCheckBox,
        .cart .header .cart-select .rbCheckBox {
            padding-top: 0 !important;
            margin-top: -.1875rem !important;
        }

    #cart-content .header .cart-select-lbl,
    .cart .header .cart-select-lbl {
        margin-left: -.3125rem !important;
    }

    #cart-content .header .header-price,
    .cart .header .header-price {
        text-align: center;
        margin-left: -.25rem;
    }

    #cart-content .header .header-qty,
    .cart .header .header-qty {
        text-align: center;
        /*  margin-left: .75rem; */
    }

    #cart-content .header .header-sum,
    .cart .header .header-sum {
        text-align: right;
        padding-right: .3125rem;
    }


#cart-content .item,
.cart .item {
    overflow: hidden;
    padding: .625rem 0;
}

    #cart-content .item.item-alt,
    .cart .item.item-alt {
        background-color: #f9f9f9;
    }

    #cart-content .item:hover,
    .cart .item:hover {
        background-color: #eeeeee;
    }

    #cart-content .item > div,
    .cart .item > div {
        /*align-self: start;  070126 vurder denne */
        max-height: 4.0625rem;
        overflow: hidden;
    }

    #cart-content .item div .item-cat,
    .cart .item div .item-cat {
        color: darkslategray;
        font-size: .7rem;
    }

    #cart-content .item div .item-sku,
    .cart .item div .item-sku {
        color: steelblue;
        font-weight: bold;
        font-size: .95rem;
    }

    #cart-content .item div .item-title,
    .cart .item div .item-title {
        color: #555;
        font-weight: bold;
        font-size: .95rem;
    }

    #cart-content .item .cart-select,
    #cart-content .header .cart-select button,
    .cart .item .cart-select,
    .cart .header .cart-select button {
        align-self: center;
        padding-left: .3125rem;
        margin-left: 0;
        zoom: 1.2;
    }

    #cart-content .item .cart-img,
    .cart .item .cart-img {
        align-self: center;
        height: 100%;
    }

#cart-content .cart-sub .item .cart-img,
.cart .cart-sub .item .cart-img {
    max-height: 2.875rem;
}

#cart-content .item .cart-img img,
.cart .item .cart-img img {
    width: 100%;
    height: 100%;
    object-fit: scale-down;
    mix-blend-mode: multiply;
}

#cart-content .item .cart-text,
.cart .item .cart-text {
    align-content: center;
}

#cart-content .item .cart-price-avail,
.cart .item .cart-price-avail {
    align-self: center;
    text-align: center;
    overflow: visible;
}

    #cart-content .item .cart-price-avail .badge,
    .cart .item .cart-price-avail .badge {
        height: 0;
        position: relative;
        top: -.75rem;
        left: 3.125rem;
    }

        #cart-content .item .cart-price-avail .badge .addpercent::after,
        .cart .item .cart-price-avail .badge .addpercent::after {
            content: "%";
        }

    #cart-content .item .cart-price-avail .blue-area,
    .cart .item .cart-price-avail .blue-area {
        padding: .45rem 0;
        background: #f0f8ff;
        border: 1px solid #6d94b5;
        border-radius: .375rem;
        text-align: center;
    }

    #cart-content .item .cart-price-avail .price,
    .cart .item .cart-price-avail .price {
        font-weight: 900;
        font-size: 1.0em;
        white-space: nowrap;
    }

    #cart-content .item .cart-price-avail .avail,
    .cart .item .cart-price-avail .avail {
        font-size: .85rem;
        padding-top: .4rem;
    }

        #cart-content .item .cart-price-avail .avail .avs,
        .cart .item .cart-price-avail .avail .avs {
            padding-left: .3125rem;
        }

#cart-content .item .item-qty,
.cart .item .item-qty {
    align-self: center;
    text-align: left;
    padding-left: 1.25rem;
    caret-color: #000;
}


    #cart-content .item .item-qty .riSelect,
    .cart .item .item-qty .riSelect {
        position: relative !important;
        left: 0 !important;
        top: .125rem !important;
        background-color: transparent !important;
    }

        #cart-content .item .item-qty .riSelect .riButton,
        .cart .item .item-qty .riSelect .riButton {
            border: none !important;
            background: transparent !important;
        }

    #cart-content .item .item-qty .riContButton a,
    .cart .item .item-qty .riContButton a {
        display: inline-block;
        padding: .125rem 0 0 .125rem;
    }

.riSelect .riButton:before {
    content: "\e103" !important; /* 010426 !important  snurr */
    position: relative;
    top: .15rem;
}
.RadBadge.k-badge-md {
    font-size: .875rem !important;
}

#cart-content .item .item-qty .riContButton a,
#cart-content .item .item-delete,
.cart .item .item-qty .riContButton a,
.cart .item .item-delete {
    display: none;
}

#cart-content .item:hover .item-qty .riContButton a,
#cart-content .item:hover .item-delete,
.cart .item:hover .item-qty .riContButton a,
.cart .item:hover .item-delete {
    display: inline-block;
}

#cart-content .item-delete,
.cart .item-delete {
    align-content: center;
    height: 100%;
    line-height: 1rem;
    overflow: visible !important;
}

    #cart-content .item-delete .iconDelete,
    .cart .item-delete .iconDelete {
        padding: 0 !important;
        border: none !important;
        vertical-align: middle;
        color: #555;
        background-color: transparent;
        top: .09375rem;
        left: -.325rem;
    }

        #cart-content .item-delete .iconDelete:before,
        .cart .item-delete .iconDelete:before {
            border: none !important;
            content: "\e10c" !important; /* søppeldunk */
            font: 1.5rem/1 "WebComponentsIcons" !important;
        }
/*
            #cart-content .item-qty .iconUpdate,
            .cart .item-qty .iconUpdate {
                padding: 0 !important;
                border: none !important;
                vertical-align: middle;
                color: #555;
                background-color: transparent;
                top: .09375rem;
            }

                #cart-content .item-qty .iconUpdate:before,
                .cart .item-qty .iconUpdate:before {
                    border: none !important;
                    content: "\e103" !important; / * snurr * /
                    font: 1rem/1 "WebComponentsIcons" !important;
                }

    */



#cart-content .item .item-qty .riTextBox,
.cart .item .item-qty .riTextBox {
    font-weight: 900 !important;
    font-size: 1.0em;
    text-align: center;
    vertical-align: top;
    padding: .25rem .125rem !important;
}
/*
        .cart .item .item-qty button {
            background-color: transparent !important;
            border-color: transparent !important;
            border-width: 0;
            padding: 0;
            top: .5rem;
            left: .125rem;
        }

            .cart .item .item-qty button::before {
                content: "\e103" !important;
                font: 1.125rem / 1 "WebComponentsIcons";
            }
            */
#cart-content .item-sum,
.cart .item-sum {
    align-self: center !important;
    text-align: right;
    font-weight: 900;
    font-size: 1.0em;
    white-space: nowrap;
    /*padding-right: .3125rem;*/
    width: 100%;
}

#cart-content .footer,
.cart .footer {
    line-height: 2rem;
    xpadding-right: .3125rem;
}

#cart-content .footer-first,
.cart .footer-first {
    padding-top: .625rem;
}
/*.cart .footer-first */

#cart-content .footer .footer-label,
.cart .footer .footer-label {
    font-size: 1.0em;
    text-align: right;
    vertical-align: middle;
    padding-top: .125rem;
}

#cart-content .footer-last,
.cart .footer-last {
    padding-bottom: .625rem
}

.item .cart-img:hover,
.item .cart-text:hover,
.item .cart-price-avail:hover {
    cursor: pointer;
}
/*
.rrHandle.rrSE::before {
    display: block;
    width: 100%;
    height: 100%;
    vertical-align: middle;
    line-height: 1;
    content: "";
    font-family: "WebComponentsIcons";
    font-size: 1.71428571rem;
    content: "\E001";
}
    */




.footer .footer-second {
    vertical-align: middle !important;
}

#cart-content .rpSlide,
.cart .rpSlide {
    scrollbar-width: thin !important;
}

.cart-main .rpGroup,
.cart-main .rpExpanded {
    background-color: #fff !important
}

.cart-main li.rpItem {
    border-color: #dedede !important;
    border-top: none !important;
}

.cart-main li.rpLast {
    border-bottom: none !important;
}

.cart-main span.rpText {
    caret-color: transparent !important;
    white-space: nowrap
}

.cart-main .rpExpanded > span.rpText {
    caret-color: transparent !important;
    white-space: nowrap;
}
.cart-main .rpLink {
    padding: 1px .625rem !important;
}
.cart-main .rpExpandable {
    background-color: #f1f1f1 !important;
    color: #000 !important;
    padding-left: 1.125rem !important;
}
.cart-main .rpSlide {
    background-color: #fafafa !important;
    /* border-left: 1.25rem solid green !important;*/
    /*border-left: 1px solid #ddd !important;*/
}

.cart-main .rpItem .rpExpanded {
    padding-left: .75rem !important;
    background-color: #44616a !important;
    color: #fff !important;
}

    .cart-main .rpItem .rpExpanded:hover {
        background-color: #77949d !important;
        color: #fff !important;
    }

.cart-main .rpRootLink {
    height: 1.875rem !important;
}
.cart-main .rpText {
    padding-top: .1875rem !important;
}

.cart-main .rpFirst {
    border-bottom: 1px solid #888 !important;
}

.cart-main.RadPanelBar .rpSlide {
    padding: 0 .3125rem 0 0 !important;
    overflow-y: auto !important;
    scrollbar-width: thin !important;
}

    .cart-main.RadPanelBar .rpSlide .rpTemplate {
        overflow-y: auto !important;
        scrollbar-width: thin !important;
    }

.cart-main.RadPanelBar .rpItem {
    /* 130726 height: auto; */
}

#cart-panelbar {
    height: stretch;
    min-width: 37.5rem;
}


.cart-main {
    /*   margin: 0 0 0 -.5rem !important;
            width: calc(100% + .625rem) !important; */
    /* 130726 height: calc(100% + 1.25rem); */
}

    .cart-main .rpSlide {
        background-color: #fff !important;
    }

.cart-process.RadPanelBar .cart-group.rpExpandable {
    background-color: #eee !important;
    color: #000 !important;
}
/*
.footer > div {
    height: 100%;
    align-content: center;
    background-color: yellow;
}
.footer {
    height: 100%;
    align-content: center;
    border: 1px dotted #777;
}
  */

#launcher {
    /* 090126 z-index: 7000 !important; */
    z-index: 7000 !important;
}
/*
.cart-sub {
    margin-bottom: 35px !important;
}
    */
#pnPriceChanged.rpExpanded {
    border-left: none !important;
}


#pnPriceChanged.rpExpandable {
    background-color: #aaa !important;
    border-left: none !important;
}

#pnPriceChanged.rpRootLink {
    padding-left: .625rem !important;
    height: 1.25rem !important;
}

    #pnPriceChanged.rpRootLink .rpText {
        margin-top: -.1875rem;
    }
/*
.cart-sub .rpSlide {
    border-left: 1px solid #dedede !important;
}
    */


.cart-price-banner {
    display: grid;
    grid-template-columns: auto auto;
    gap: .625rem;
    align-items: anchor-center;
    -ms-border-radius: .25rem;
    border-radius: .25rem;
    background: cornsilk;
    border: 1px solid #f0ad4e;
    padding: .4rem .5rem .5rem 1rem;
    margin: .8rem .6rem;
}

.cart-price-banner div:first-of-type {
    position: relative;
    top: .125rem;
    align-self: anchor-center;
}

.footer .tb-compress {
    padding: 1px .4375rem !important;
}

.footer-second .RadInput {
    width: 100% !important;
}

.val-tb {
    color: #ed1c2b;
    position: relative;
    font-size: 2.5rem;
    height: 0 !important;
    float: right;
    top: -1.4375rem;
    left: -.325rem
}
.val-sum {
    color: #ed1c2b !important;
    text-align: center;
    line-height: 1.05rem !important;
    font-size: 1rem;
    font-weight: bold;
    /*
    display: block;
    padding: .625rem;
    margin: .4375rem 0;
    align-self: center;
        */
}

.riEmpty {
    color: #bbb !important;
}

.menu-select {
    font-variant: small-caps !important;
    font-variant: all-small-caps !important;
}

    .menu-select .rmRootGroup .rmRootLink {
        padding: 1px .625rem !important;
        white-space: nowrap;
        width: max-content;
    }

    .menu-select .rmIcon {
        width: .625rem !important;
        overflow: hidden;
    }

    .menu-select .rmToggle {
        margin-left: 0 !important;
    }

.checked {
    -ms-opacity: 1;
    opacity: 1;
}

.unchecked {
    -ms-opacity: .25;
    opacity: .25;
}
ul.rwzBreadCrumb {
    margin-top: .1875rem !important;
    margin-bottom: .8125rem !important;
}

